import DueIReteGasPayload from "../../scraperv2/due-i-retegas/payload/DueIReteGasPayload";

export type DueIReteGasV3Payload = Omit<DueIReteGasPayload, 'tipoContratto'>;

export type DatiPerEsito = {
  datiStato: string;
  datiSocieta: string;
  datiAttivazione: string;
  datiModificato: string;
  datiPotMaxRichiesta: string;
  datiIndirizzo: string;
  datiCivico: string;
  daticap: string;
  datiComune: string;
  datiProvincia: string;
  datiMotivazione: string;
  codiceRemiPool: string;
  ragioneSocialeDistributore: string;
  concessione: string;
  descrizioneConcessione: string;
  codiceComuneIstat: string;
  intestatario: string;
  richiedente: string;
  accessibilita: string;
  ubicazione: string;
  misuratore: string;
  correttore: string;
  classeMisuratore: string;
  matricolaContatore: string;
  tipologiaPdr: string;
  statoContatore: string;
  matricolaCorrettoriVolumi: string;
  elettrovalvolaChiusa: string;
  compLettCiclo: string;
  potenzaMassimaErogabile: string;
  categoriaUso: string;
  classePrelievo: string;
  codiceProfiloPrelievo: string;
  presenzaTelelettura: string;
  dataMessaInServizio: string;
  titolarita: string;
  causaleIn: string;
  causaleOut: string;
  pdrContrattualizzato: string;
  servizioEnergetico: string;
  revoca: string;
  nomeClienteFinale: string;
  cognomeClienteFinale: string;
  ragioneSocialeClienteFinale: string;
  codiceFiscaleClienteFinale: string;
  pivaClienteFinale: string;
  telefonoClienteFinale: string;
  emailClienteFinale: string;
  nomeBeneficiario: string;
  cognomeBeneficiario: string;
  ragioneSocialeBeneficiario: string;
  codiceFiscaleBeneficiario: string;
  pivaBeneficiario: string;
  telefonoBeneficiario: string;
  emailBeneficiario: string;
  inizioAgevolazione: string;
  fineAgevolazione: string;
};
